<?php
/**
 * Trait Magic_EX_IM_Singleton
 *
 * @package Magic_Export_Import
 */

defined( 'ABSPATH' ) || exit;

/**
 * A trait to ensure class is instantiating only once.
 */
trait Magic_EX_IM_Singleton {

	/**
	 * Retrieves the singleton instance of the invoked class.
	 *
	 * @return static
	 */
	public static function instance() {

		static $instances = null;
		$called_class     = get_called_class();

		if ( ! isset( $instances[ $called_class ] ) ) {
			$instances[ $called_class ] = new static();
		}

		return $instances[ $called_class ];
	}
}
