<?php
/**
 * Polylang terms export advanced filters.
 *
 * @package Magic_Export_Import\Plugin_Adapter
 */

defined( 'ABSPATH' ) || exit;

if ( pll_current_language() || ! pll_languages_list() ) {
	return;
}

$pll_langs_list = array_combine( pll_languages_list(), pll_languages_list( array( 'fields' => 'name' ) ) );
?>

<div class="magic-ex-advanced-filter-type">
	<input type="checkbox" name="magic-ex-by-langs" id="magic-ex-by-langs">
	<label for="magic-ex-by-langs">Languages</label>
</div>

<div class="magic-ex-checkboxes-wrapper">
	<?php
	foreach ( $pll_langs_list as $lang_code => $lang_name ) :
		$field_id = 'lang_' . $lang_code;
		?>
	<div class="magic-ex-im-checkbox">
		<input type="checkbox" name='magic-ex-langs[]' id="<?php echo esc_attr( $field_id ); ?>"
			value="<?php echo esc_attr( $lang_code ); ?>">
		<label for="<?php echo esc_attr( $field_id ); ?>"><?php echo esc_html( $lang_name ); ?></label>
	</div>

	<?php endforeach; ?>
</div>
