<?php
/**
 * Select template.
 *
 * @package Magic_Export_Import
 */

defined( 'ABSPATH' ) || exit;

$grouped_keys     = $args['grouped_keys'];
$mandatory_keys   = $args['mandatory_keys'];
$select_name      = $args['select_name'];
$required_str     = ( $args['required'] ?? false ) ? 'required' : '';
$preselect_values = $args['preselect_values'] ?? false;
?>

<select multiple="multiple" name="<?php echo esc_attr( $select_name ) . '[]'; ?>"
	id="<?php echo esc_attr( $select_name . '-select' ); ?>" <?php echo esc_attr( $required_str ); ?>
	<?php disabled( empty( array_filter( $grouped_keys ) ) ); ?>>

	<?php
	foreach ( $grouped_keys as $group => $keys ) {
		foreach ( $keys as $key ) {

			$is_mandatory = in_array( $key, $args['mandatory_keys'], true );
			$value        = magic_ex_im_build_key( $key, $group );

			printf(
				'<option %s %s value="%s" %s>%s</option>',
				$is_mandatory ? 'class="mandatory"' : '',
				sprintf( 'data-group="%s" data-key="%s"', esc_attr( $group ), esc_attr( $key ) ),
				esc_attr( $value ),
				selected( $preselect_values || $is_mandatory, true, false ),
				esc_html( $key ),
			);
		}
	}
	?>
</select>
